Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.groupware
Class Sender

    java.lang.Object
      com.compoze.collab.groupware.Sender

    public class Sender

extends Object

This class is used to represent a sender of a message.

Constructor Summary
`protected` | `Sender()` Constructor.
`` | `Sender(String sSmtpAddress)` Constructor.
`` | `Sender(String sName, String sAddress)` Constructor.

Method Summary
`String` | `getAddress()` Gets the sender's address.
`String` | `getDisplayAddress()` Gets the sender's display address.
`String` | `getName()` Gets the sender's name.
`protected void` | `init(String sSmtpAddress)` Initializes from a name and address.
`protected void` | `init(String sName, String sAddress)` Initializes from a name and address.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Sender

    protected Sender()

  Constructor. Used by subclasses that cannot provide initial parameters on construction.

### Sender

    public Sender(String sName,
                  String sAddress)

  Constructor.

  Parameters
    `sName` - the sender's name (may be `null`)
    `sAddress` - the sender's address (may be `null`)

### Sender

    public Sender(String sSmtpAddress)

  Constructor.

  Parameters
    `sSmtpAddress` - the sender's SMTP address (may be `null`)

Method Detail

### init

    protected void init(String sName,
                        String sAddress)

  Initializes from a name and address.

  Parameters
    `sName` - the sender's name (may be `null`)
    `sAddress` - the sender's address (may be `null`)

### init

    protected void init(String sSmtpAddress)

  Initializes from a name and address.

  Parameters
    `sSmtpAddress` - the sender's SMTP address (not `null`)

### getName

    public String getName()

  Gets the sender's name.

  Returns
    the sender's full name (may be `null`)

### getAddress

    public String getAddress()

  Gets the sender's address.

  Returns
    the sender's address (may be `null`)

### getDisplayAddress

    public String getDisplayAddress()

  Gets the sender's display address.

  Returns
    the sender's display address (may be `null`)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved